Status: Closed

Priority: Low

Assignee: Jürgen Fischer

Category: GUI

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11515

Description

quoting http://lists.osgeo.org/pipermail/qgis-developer/2008-December/005410.html:

qgis_unstable branch: when adding postgis layer,

I always get a popup saying: "No accessible tables found".

Despite the message, tables *are* found (are shown in the window

for selection, is detected the contained geometry type and found

all attributes).

On 'Add', a second popup complains about a missing unique

index, which is fine.

When adding the missing unique index, everything works, no

popup on 'Add', but still the initial "No accessible tables found" 

popup on connect is shown.

No, no record in geometry_columns. But that annoying popup doesn't

mention 'geometry_columns' at all, which would be nice if that's

the problem.

Beside, display of the table records work fine, so I wonder

what justifies the initial scary popup.

--strk;

Associated revisions

Revision 8d36542e - 2008-12-13 02:28 AM - Jürgen Fischer

postgis table selection dialog:

- only ask for a password, when postgis needs one (fixes #1400)

- don't complain about 'no accessible geometry tables', before checking for

  tables not listed in geometry_columns (fixes #1455)

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@9778 c8812cc2-4d05-0410-92ff-de0c093fc19c
Revision 70f33291 - 2008-12-13 02:28 AM - Jürgen Fischer

postgis table selection dialog:

- only ask for a password, when postgis needs one (fixes #1400)

- don't complain about 'no accessible geometry tables', before checking for

  tables not listed in geometry_columns (fixes #1455)

git-svn-id: http://svn.osgeo.org/qgis/trunk@9778 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-12-12 05:28 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:70f33291 (SVN r9779)

#2 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
